Data Hub
Runs

Queue selected files for upload

Requires scope `runs:upload`.

POST
/instruments/{instrumentId}/runs/{runId}/request-upload

Requires scope runs:upload.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

instrumentId*string
runId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/instruments/plate-reader/runs/run-2026-001/request-upload" \  -H "Content-Type: application/json" \  -d '{    "file_ids": [      "string"    ]  }'
{  "instrument_id": "string",  "run_id": "string",  "files_queued": 0,  "files": [    {      "id": 0,      "filename": "string",      "upload_requested_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}